Verified Commit ae3f7a85 authored by A. Wilcox's avatar A. Wilcox 🦊
Browse files

system/libedit: Bugfix bump to 20191231.3.1

parent e717c9ae
# Contributor: A. Wilcox <awilfox@adelielinux.org>
# Maintainer: A. Wilcox <awilfox@adelielinux.org>
pkgname=libedit
pkgver=20191025.3.1
pkgver=20191231.3.1
_realver="${pkgver%%.*}-${pkgver#*.}"
pkgrel=0
pkgdesc="Library providing line editing, history, and tokenisation functions"
......@@ -12,9 +12,7 @@ depends=""
depends_dev="ncurses-dev" # XXX is this always unconditionally needed?
makedepends="$depends_dev autoconf automake libtool"
subpackages="$pkgname-dev $pkgname-doc"
source="https://thrysoee.dk/editline/libedit-$_realver.tar.gz
tinfo.patch
"
source="https://thrysoee.dk/editline/libedit-$_realver.tar.gz"
builddir="$srcdir/$pkgname-$_realver"
prepare() {
......@@ -41,5 +39,4 @@ package() {
make DESTDIR="$pkgdir" install
}
sha512sums="9f475249b984e02ece0af3a0efe353233fef644ecf37482e28597a3ce552ca5a07678939b2c4ecbe3d2b14761fa67f23d2e839a322b94c0feeeba9e403b2be00 libedit-20191025-3.1.tar.gz
b9cfb07733d14339cfb053b5c4249b74486268005474f65f377e412e5cccbe29d3ce55663a9795db0b682155084cca5a9424de348c7defdc8698dea042c2a674 tinfo.patch"
sha512sums="1df2eced98e8db1bb0af940678c154d87e3b11dd21e65a903682367f5feace5112f9a543b8e0cb04bbfeaaf73729f808db2d9c302637fc063e81c0a37777ac2c libedit-20191231-3.1.tar.gz"
From 7aa660fd9d446567d3280765ba2a50a46b2a9159 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
Date: Mon, 12 Jun 2017 21:36:54 +0200
Subject: [PATCH] configure: Support -ltinfo as split in newer ncurses
The newer versions of ncurses support building terminfo routines
as a split -ltinfo library. Account for that by adding this library
to the search list.
---
configure.ac | 4 +++-
1 file changed, 3 insertions(+), 1 deletion(-)
diff --git a/configure.ac b/configure.ac
index 9a571b2..5d714b5 100644
--- a/configure.ac
+++ b/configure.ac
@@ -49,7 +49,9 @@ EL_MANTYPE
AC_CHECK_LIB(ncurses, tgetent,,
[AC_CHECK_LIB(curses, tgetent,,
[AC_CHECK_LIB(termcap, tgetent,,
- [AC_MSG_ERROR([libncurses, libcurses, or libtermcap is required!])]
+ [AC_CHECK_LIB(tinfo, tgetent,,
+ [AC_MSG_ERROR([libncurses, libcurses, libtermcap, or libtinfo is required!])]
+ )]
)]
)]
)
--
2.13.1
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment